﻿@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_ManifestRecivingInquiryScript")
<div class="content">
    <fieldset>
        <table align="left">
            <tr style="height:40px">
                <td>
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Sub Manifest No";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td style="width: 2%;">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_MANIFEST_NO";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }
                    ).GetHtml()
                </td>
                <td style="width: 1%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Supplier Code";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 2%;">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_SUPPLIER_CODE";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }
                    ).GetHtml()
                </td>
                <td style="width: 1%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Order No";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 2%;">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_ORDER_NO";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }
                    ).GetHtml()
                </td>
            </tr>
            <tr>
                <td>
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Dock Code";
                    Label.Width = 90;
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_DOCK_CODE";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Plant Code";
                    Label.Width = 90;
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_PLANT_CODE";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }
                    ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Part No";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_PART_NO";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }
                    ).GetHtml()
                </td>
            </tr>
            <tr>
                @*<td style="width: 2%;">
                            <br />
                        @Html.DevExpress().Label(
                        Label =>
                        {
                            Label.Text = "Date From*";
                            Label.Width = 100;
                        }).GetHtml()
                    </td>
                    <td>
                        <table>
                            <tr>
                                <td>
                                    <br />
                                    @Html.DevExpress().DateEdit(
                                    settings =>
                                    {
                                        settings.Name = "I_TMAP_ORDER_DATE_FROM";
                                        settings.Width = 100;
                                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                        settings.Properties.EditFormat = EditFormat.Custom;
                                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                        settings.ReadOnly = false;
                                        settings.Properties.UseMaskBehavior = true;
                                        settings.Properties.EditFormat = EditFormat.Custom;
                                    }).GetHtml()
                                </td>
                                <td style="text-align:center">
                                    <br />
                                    @Html.DevExpress().Label(
                                    Label =>
                                    {
                                        Label.Text = "To*";
                                        Label.Width = 40;
                                    }).GetHtml()
                                </td>
                                <td>
                                    <br />
                                    @Html.DevExpress().DateEdit(
                                    settings =>
                                    {
                                        settings.Name = "I_TMAP_ORDER_DATE_END";
                                        settings.Width = 100;
                                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                        settings.Properties.EditFormat = EditFormat.Custom;
                                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                        settings.ReadOnly = false;
                                        settings.Properties.UseMaskBehavior = true;
                                        settings.Properties.EditFormat = EditFormat.Custom;
                                    }).GetHtml()
                                </td>
                            </tr>
                        </table>
                    </td>*@


                <td style="width: 2%;">
                    <br />
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Order Release Date From*";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td>
                    <table>
                        <tr>
                            <td>
                                <br />
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_ORDER_RELEASE_DATE_FROM";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                }).GetHtml()
                            </td>
                            <td style="text-align:center">
                                <br />
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "To*";
                                    Label.Width = 40;
                                }).GetHtml()
                            </td>
                            <td>
                                <br />
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_ORDER_RELEASE_DATE_END";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                }).GetHtml()
                            </td>
                        </tr>
                    </table>
                </td>

                <td>
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Sub Supplier Code";
                    Label.Width = 150;
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_SUB_SUPPLIER_CODE";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Send Order ADM Status";
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_SEND_ORDER_ADM_STATUS";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 110;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.Items.Add("", "");
                    settings.Properties.Items.Add("Y", "Y");
                    settings.Properties.Items.Add("N", "N");
                    settings.SelectedIndex = -1;
                }).GetHtml()
                </td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td>
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Sub Supplier Plant";
                    Label.Width = 150;
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_SUB_SUPPLIER_PLANT";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Send GR ADM Status";
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_SEND_GR_ADM_STATUS";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 110;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.Items.Add("", "");
                    settings.Properties.Items.Add("Y", "Y");
                    settings.Properties.Items.Add("N", "N");
                    settings.SelectedIndex = -1;
                }).GetHtml()
                </td>
            </tr>
        </table>

        <table align="left">
            <tr style="height:30px">

                @*<td align="right">
                    @Html.DevExpress().Button(edtSetting =>
                       {
                           edtSetting.Name = "cmdDownload";
                           edtSetting.Width = 80;
                           edtSetting.Text = "Download";
                           edtSetting.ClientSideEvents.Click = "OnDownload";
                           edtSetting.Style.Add("display", "inline-table");
                           edtSetting.UseSubmitBehavior = true;
                           edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-02", "DOWNLOAD");
                       }).GetHtml()
                </td>
                <td align="right">
                    @Html.DevExpress().CheckBox(
                        settings =>
                        {
                            settings.Name = "checkboxDownload";
                            settings.Text = "Download Detail";
                            settings.Width = 140;
                            //settings.Properties.ValueChecked = "true";
                            settings.Properties.ValueType = typeof(string);
                        }).GetHtml()
                </td>*@
                <td align="right" style="display:none">

                    @Html.DevExpress().Button(edtSetting =>
                       {
                           edtSetting.Name = "cmdEdit";
                           edtSetting.Width = 80;
                           edtSetting.Text = "Edit";
                           edtSetting.ClientSideEvents.Click = "OnEdit";
                           edtSetting.Style.Add("display", "inline-table");
                           edtSetting.UseSubmitBehavior = true;
                           edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-03", "EDIT");
                       }).GetHtml()
                </td>
                <td align="right" style="display:none">

                    @Html.DevExpress().Button(edtSetting =>
                       {
                           edtSetting.Name = "cmdDelete";
                           edtSetting.Width = 90;
                           edtSetting.Text = "Delete";
                           edtSetting.ClientSideEvents.Click = "OnDelete";
                           edtSetting.Style.Add("display", "inline-table");
                           edtSetting.UseSubmitBehavior = true;
                           edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-04", "DELETE");
                       }).GetHtml()
                </td>
            </tr>
            <tr style="height:30px">
                <td style="min-width:100px" align="left">
                    <div class="action_cnt">
                        @Html.DevExpress().Button(edtSetting =>
                       {
                           edtSetting.Name = "cmdDownload";
                           edtSetting.Width = 80;
                           edtSetting.Text = "Download";
                           edtSetting.ClientSideEvents.Click = "OnDownload";
                           edtSetting.Style.Add("display", "inline-table");
                           edtSetting.UseSubmitBehavior = true;
                           edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-02", "DOWNLOAD");
                       }).GetHtml()
                    </div>
                </td>
                <td style="min-width:100px" align="left">
                    <div class="action_cnt">
                        @Html.DevExpress().CheckBox(
                        settings =>
                        {
                            settings.Name = "checkboxDownload";
                            settings.Text = "Download Detail";
                            settings.Width = 140;
                            //settings.Properties.ValueChecked = "true";
                            settings.Properties.ValueType = typeof(string);
                        }).GetHtml()
                    </div>
                </td>
                <td align="right" colspan="2" width="1700px">
                    <div id="search_cnt">
                        @Html.DevExpress().Button(edtSetting =>
                   {
                       edtSetting.Name = "cmdSearch";
                       edtSetting.Width = 80;
                       edtSetting.Text = "Search";
                       edtSetting.ClientSideEvents.Click = "OnSearch";
                       edtSetting.Style.Add("display", "inline-table");
                       edtSetting.UseSubmitBehavior = true;
                       edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-01", "SEARCH");
                   }).GetHtml()
                        @Html.DevExpress().Button(edtSetting =>
                   {
                       edtSetting.Name = "cmdClear";
                       edtSetting.Width = 90;
                       edtSetting.Text = "Clear";
                       edtSetting.ClientSideEvents.Click = "OnClear";
                       edtSetting.Style.Add("display", "inline-table");
                       edtSetting.UseSubmitBehavior = true;
                       edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-01", "CLEAR");
                   }).GetHtml()
                    </div>
                </td>
            </tr>
        </table>
        <table>
            @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_Temp_Manifest_No";
                  settings.Width = 100;
                  settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                  settings.ClientVisible = false;
              }
            ).GetHtml()
            @Html.DevExpress().TextBox(
                  settings =>
                  {
                      settings.Name = "I_Temp_Part_No";
                      settings.Width = 100;
                      settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                      settings.ClientVisible = false;
                  }
              ).GetHtml()
            @Html.DevExpress().TextBox(
                  settings =>
                  {
                      settings.Name = "I_Temp_Tmap_Order_No";
                      settings.Width = 100;
                      settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                      settings.ClientVisible = false;
                  }
              ).GetHtml()
        </table>
    </fieldset>
</div>
<div class="content" style="min-height: 300px">
    @Html.Partial("ManifestRecivingInquiryGrid")
</div>
